Cyberduck Mountain Duck CLI

#7302 closed enhancement (fixed)

Flooded with 10.8 notification centre bonjour notifications

Reported by: madwort Owned by: dkocher
Priority: normal Milestone: 4.4
Component: interface Version: 4.3.1
Severity: normal Keywords: notification
Cc: Architecture: Intel
Platform: Mac OS X 10.8

Description

Just upgraded to OS X 10.8, installed Cyberduck 4.3.1, working in a shared office and https://trac.cyberduck.ch/ticket/1510 started happening to me... In Growl, there's an option to filter (notifications of eg. a successful upload are really useful), but I can't see anything similar in the native OS X thing. Any ideas?

Change History (8)

comment:1 Changed on Jun 18, 2013 at 11:50:38 AM by dkocher

  • Milestone set to 4.4
  • Status changed from new to assigned

There is currently no option to limit or disable.

comment:2 Changed on Aug 18, 2013 at 9:57:44 PM by dkocher

  • Milestone changed from 4.5 to 4.4
  • Resolution set to fixed
  • Status changed from assigned to closed

In r12544. Limited to 30 notifications per minute. You can set the hidden property rendezvous.notification.limit for a different value.

comment:3 Changed on Aug 18, 2013 at 9:58:40 PM by dkocher

Set to 0 to disable Bonjour notifications completly.

defaults write ch.sudo.cyberduck rendezvous.notification.limit 0
Last edited on Mar 13, 2014 at 9:19:49 AM by dkocher (previous) (diff)

comment:4 Changed on Mar 5, 2014 at 8:41:30 PM by kthenriksson

How about an option to completely disable notifications, rather than just limit? It would make the most sense for 0 to disable notifications and maybe a value like -1 meaning to disable the limit. Perhaps though if backward compatibility is desired, -1 could disable notifications?

comment:5 Changed on Mar 13, 2014 at 2:26:15 AM by michael krasnow

If you want to disable notifications then disable them in System Preferences->Notifications

comment:6 Changed on Mar 13, 2014 at 3:00:16 AM by kthenriksson

I should have been more specific to say I want to disable Bonjour notifications. This was also discussed in #1510. I find it useful to get notices when I upload a file (maybe because I'm editing it and it gets uploaded automatically), but not useful to be told when a device appears on the network.

comment:7 Changed on Mar 13, 2014 at 9:20:04 AM by dkocher

Set to 0 to disable Bonjour notifications completly.

defaults write ch.sudo.cyberduck rendezvous.notification.limit 0

comment:8 Changed on Mar 19, 2014 at 6:15:13 PM by kthenriksson

That's very strange. For some reason I didn't think that worked, but it seems to be doing exactly what it should. Sorry for the ticket spam.

Note: See TracTickets for help on using tickets.
swiss made software